#define SIGEL_USE_ONLY

#include <sigel/ISigel.h>

void PulseDo(Entity* e)
{
	e->Turn(-1,0,0);
	e->Move(0.3);
}

sGAME
{
	Init(800,600,32,2,0);
	AppTitle("shoots");

	Camera cam;
	cam.Position(0,0,100);

	Surface *shoot_body = new Surface();
	shoot_body->MakePulse(4,1,0.25,-2);
	//shoot_body->Rotate(0,180,0);
	
	Texture *tex = new Texture("v1.bmp");


	VWait(0);

	int cnt=500;
	Entity **shs = new Entity*[500];

	for(int i=0;i<cnt;++i)
	{
		shs[i] = new Entity(shoot_body);
		shs[i]->BindTex(tex);
		shs[i]->Blend(BM_ADD);
		shs[i]->Rotate(rnd(360),rnd(360),0);
		shs[i]->Position(0,0,0);
		shs[i]->PreProcess(&PulseDo);
	}
	float dtm=0;
	int lfps=0;

	while(!KeyDown(VK_ESCAPE))
	{
		dtm = GetFrameTime();
		//dtm=1;

		Render();
		
		if(lfps!=GetFPS())
		{
			lfps = GetFPS();
			char buff[80];
			sprintf_s(buff,80,"%d",lfps);
			AppTitle(buff);
		}

		Flip();

		//Sleep(10);
	}
}