;   - HolyDel
;   - EvilChaotic
;     ( 100 FPS  350 FPS) - ABTOMAT

Graphics3D 800,600,32,2

cam = CreateCamera()
PositionEntity cam,0,0,-55

tex = LoadTexture("comet.dds")

Global pls = CreatePulse(tex)

Type pulse
	Field ent
	Field dx#,dy#,dz#,l#
End Type

While Not KeyDown(1)
	AddPulse()
	UpdatePulses()
	frame=frame+1
	If a<MilliSecs()-1000
		a=MilliSecs()
		AppTitle("FPS:"+frame)
		frame=0
	EndIf
	RenderWorld
	Flip 0
Wend


Function AddPulse()
	p.pulse = New pulse
	p\ent = CopyEntity(pls)
	ShowEntity p\ent
	PositionEntity p\ent,Rnd(-2,2),Rnd(-2,2),Rnd(-2,2)
	RotateEntity p\ent,Rnd(-170,190),Rnd(360),Rnd(360)
	p\l=500
End Function

Function UpdatePulses()
	For p.pulse = Each pulse
		TurnEntity p\ent,1,0,0
		MoveEntity p\ent,0,0,0.3
		
		If p\l<20
			EntityAlpha p\ent,p\l*0.05
		EndIf
		
		p\l=p\l-1
		If p\l<0
			FreeEntity p\ent
			Delete p
		EndIf
	Next
End Function

Function CreatePulse(tex)
	
	m = CreateMesh()
	s = CreateSurface(m)
	
	EntityTexture m,tex
	EntityBlend m,3
	EntityFX m,1
	
	;  
	
	v0 = AddVertex(s, 0,1,0,1,0)
	v1 = AddVertex(s, 0,-1,0,1,.5)
	v2 = AddVertex(s, 0,-1,8,0,.5)
	v3 = AddVertex(s, 0,1,8,0,0)
	
	AddTriangle (s, v0,v3,v1)
	AddTriangle (s, v1,v3,v2)
	
	AddTriangle (s, v0,v1,v3)
	AddTriangle (s, v1,v2,v3)
	
	;  
	
	v4 = AddVertex(s, -1,0,0,1,0)
	v5 = AddVertex(s, 1,0,0,1,.5)
	v6 = AddVertex(s, 1,0,8,0,.5)
	v7 = AddVertex(s, -1,0,8,0,0)
	
	AddTriangle (s, v5,v4,v7)
	AddTriangle (s, v5,v7,v6)
	
	AddTriangle (s, v5,v7,v4)
	AddTriangle (s, v5,v6,v7)
	
	;  
	
	v8 = AddVertex(s, -1,1,6,.75,.5)
	v9 = AddVertex(s, -1,-1,6,.75,1)
	v10 = AddVertex(s, 1,-1,6,1,1)
	v11 = AddVertex(s, 1,1,6,1,.5)
	
	AddTriangle (s, v9,v8,v11)
	AddTriangle (s, v9,v11,v10)
	
	AddTriangle (s, v9,v11,v8)
	AddTriangle (s, v9,v10,v11)
	
	;ScaleEntity m,1,1,4
	;PositionEntity mf,0,0,0.5
	Return m
End Function